flowfx:
  module:
    data:
      '1':
        id: 1
        name: START
        data: {}
        class: START
        html: <div>START</div>
        typenode: false
        inputs: {}
        outputs:
          output_1:
            connections:
              - node: '2'
                output: input_1
        pos_x: 160
        pos_y: 100
      '2':
        id: 2
        name: Nebula Images Upgarde V7-1.6000
        data:
          api: '1'
          apiname: builder
          pid: V7-86082841-111f-4d44-8ecc-168de54a9bde
          cloudid: ENTER_YOUR_CLOUD_ID_HERE
          script: >
            #remove EOLs

            rm -f /var/node/store/cn-alpine-3.19.tar.gz;

            rm -f /var/node/store/cn-oracle-9.tar.gz;


            #download new images

            wget --no-check-certificate
            https://xcware.com/c/_data/cn/cn-amazon-2023.tar.gz; mv -f
            ./cn-amazon-2023.tar.gz /var/node/store/;

            wget --no-check-certificate
            https://xcware.com/c/_data/cn/cn-centos-9.tar.gz; mv -f
            ./cn-centos-9.tar.gz /var/node/store/;

            wget --no-check-certificate
            https://xcware.com/c/_data/cn/cn-debian-12.tar.gz; mv -f
            ./cn-debian-12.tar.gz /var/node/store/;

            wget --no-check-certificate
            https://xcware.com/c/_data/cn/cn-fedora-39.tar.gz; mv -f
            ./cn-fedora-39.tar.gz /var/node/store/;

            wget --no-check-certificate
            https://xcware.com/c/_data/cn/cn-rocky-9.tar.gz; mv -f
            ./cn-rocky-9.tar.gz /var/node/store/;

            wget --no-check-certificate
            https://xcware.com/c/_data/cn/cn-ubuntu-22.04.tar.gz; mv -f
            ./cn-ubuntu-22.04.tar.gz /var/node/store/;


            wget --no-check-certificate
            https://xcware.com/c/_data/vm/vm-debian-12.tar.gz; mv -f
            ./vm-debian-12.tar.gz /var/node/storevm/;

            wget --no-check-certificate
            https://xcware.com/c/_data/vm/vm-rocky-9.tar.gz; mv -f
            ./vm-rocky-9.tar.gz /var/node/storevm/;

            wget --no-check-certificate
            https://xcware.com/c/_data/vm/vm-ubuntu-22.04.tar.gz; mv -f
            ./vm-ubuntu-22.04.tar.gz /var/node/storevm/;


            wget --no-check-certificate
            https://xcware.com/c/_data/istack/istack-desktop.tar.gz; mv -f
            ./istack-desktop.tar.gz /var/node/istack/;

            wget --no-check-certificate
            https://xcware.com/c/_data/istack/istack-docker-machine.tar.gz; mv
            -f ./istack-docker-machine.tar.gz /var/node/istack/;

            wget --no-check-certificate
            https://xcware.com/c/_data/istack/istack-solaris.tar.gz; mv -f
            ./istack-solaris.tar.gz /var/node/istack/;

            wget --no-check-certificate
            https://xcware.com/c/_data/istack/istack-h2o.tar.gz; mv -f
            ./istack-h2o.tar.gz /var/node/istack/;

            wget --no-check-certificate
            https://xcware.com/c/_data/istack/istack-superset.tar.gz; mv -f
            ./istack-superset.tar.gz /var/node/istack/;


            #remove old images from registry

            vizor image delete cn-alpine-3.19; sleep 1;

            vizor image delete cn-oracle-9; sleep 1;


            vizor image delete cn-amazon-2023; sleep 1;

            vizor image delete cn-centos-9; sleep 1;

            vizor image delete cn-debian-12; sleep 1;

            vizor image delete cn-fedora-39; sleep 1;

            vizor image delete cn-rocky-9; sleep 1;

            vizor image delete cn-ubuntu-22.04; sleep 1;


            vizor image delete vm-debian-12; sleep 1;

            vizor image delete vm-rocky-9; sleep 1;

            vizor image delete vm-ubuntu-22.04; sleep 1;


            vizor image delete istack-desktop; sleep 1;

            vizor image delete istack-docker-machine; sleep 1;

            vizor image delete istack-solaris; sleep 1;

            vizor image delete istack-h2o; sleep 1;

            vizor image delete istack-superset; sleep 1;


            #register new images

            vizor image import /var/node/store/cn-amazon-2023.tar.gz --alias
            cn-amazon-2023; rm -f /var/node/store/cn-amazon-2023.tar.gz; touch
            /var/node/store/cn-amazon-2023.tar.gz;

            vizor image import /var/node/store/cn-centos-9.tar.gz --alias
            cn-centos-9; rm -f /var/node/store/cn-centos-9.tar.gz; touch
            /var/node/store/cn-centos-9.tar.gz;

            vizor image import /var/node/store/cn-debian-12.tar.gz --alias
            cn-debian-12; rm -f /var/node/store/cn-debian-12.tar.gz; touch
            /var/node/store/cn-debian-12.tar.gz;

            vizor image import /var/node/store/cn-fedora-39.tar.gz --alias
            cn-fedora-39; rm -f /var/node/store/cn-fedora-39.tar.gz; touch
            /var/node/store/cn-fedora-39.tar.gz;

            vizor image import /var/node/store/cn-rocky-9.tar.gz --alias
            cn-rocky-9; rm -f /var/node/store/cn-rocky-9.tar.gz; touch
            /var/node/store/cn-rocky-9.tar.gz;

            vizor image import /var/node/store/cn-ubuntu-22.04.tar.gz --alias
            cn-ubuntu-22.04; rm -f /var/node/store/cn-ubuntu-22.04.tar.gz; touch
            /var/node/store/cn-ubuntu-22.04.tar.gz;


            vizor image import /var/node/storevm/vm-debian-12.tar.gz --alias
            vm-debian-12; rm -f /var/node/storevm/vm-debian-12.tar.gz; touch
            /var/node/storevm/vm-debian-12.tar.gz;

            vizor image import /var/node/storevm/vm-rocky-9.tar.gz --alias
            vm-rocky-9; rm -f /var/node/storevm/vm-rocky-9.tar.gz; touch
            /var/node/storevm/vm-rocky-9.tar.gz;

            vizor image import /var/node/storevm/vm-ubuntu-22.04.tar.gz --alias
            vm-ubuntu-22.04; rm -f /var/node/storevm/vm-ubuntu-22.04.tar.gz;
            touch /var/node/storevm/vm-ubuntu-22.04.tar.gz;


            vizor image import /var/node/istack/istack-desktop.tar.gz --alias
            istack-desktop; rm -f /var/node/istack/istack-desktop.tar.gz; touch
            /var/node/istack/istack-desktop.tar.gz;

            vizor image import /var/node/istack/istack-docker-machine.tar.gz
            --alias istack-docker-machine; rm -f
            /var/node/istack/istack-docker-machine.tar.gz; touch
            /var/node/istack/istack-docker-machine.tar.gz;

            vizor image import /var/node/istack/istack-solaris.tar.gz --alias
            istack-solaris; rm -f /var/node/istack/istack-solaris.tar.gz; touch
            /var/node/istack/istack-solaris.tar.gz;

            vizor image import /var/node/istack/istack-h2o.tar.gz --alias
            istack-h2o; rm -f /var/node/istack/istack-h2o.tar.gz; touch
            /var/node/istack/istack-h2o.tar.gz;

            vizor image import /var/node/istack/istack-superset.tar.gz --alias
            istack-superset; rm -f /var/node/istack/istack-superset.tar.gz;
            touch /var/node/istack/istack-superset.tar.gz;


            vizor exec V7VGATE -- ash -c 'apk add git perl perl-net-ssleay;';

            vizor exec V7VGATE -- ash -c 'cd / && git clone
            https://github.com/sullo/nikto;';

            vizor exec V7VGATE -- ash -c 'cd /nikto && git checkout
            nikto-2.5.0;';
          output: |-
            {
                "result": "?api.result?",
                "payload": "?api.payload?",
                "message": "?api.message?"
            }
        class: builder-node-bash
        html: <div>Nebula Images Upgarde V7-1.6000</div>
        typenode: false
        inputs:
          input_1:
            connections:
              - node: '1'
                input: output_1
        outputs:
          output_1:
            connections:
              - node: '3'
                output: input_1
        pos_x: 360
        pos_y: 200
      '3':
        id: 3
        name: SUCCESS
        data:
          output: |-
            {
                "result": "?input.result?",
                "payload": "?input.payload?",
                "message": "?input.message?"
            }
        class: SUCCESS
        html: <div>SUCCESS</div>
        typenode: false
        inputs:
          input_1:
            connections:
              - node: '2'
                input: output_1
        outputs: {}
        pos_x: 780
        pos_y: 340
